Azitech

Azimout's Linux weblog

mail-notification

leave a comment »

mail-notification is a very useful tool that allows me to close thunderbird and firefox/gmail, and still know when I have new mail.

unfortunately, in debian/ubuntu, ssl support is disabled for licensing reasons: mailnotify is GPL, while openssl is Apache. this is reported here and here.

so what i did was:

  • download the latest source (5.4, 22.05.2008) and extract it
  • resolve the dependencies: libglib2.0-dev gettext libdbus-glib-1-dev libgconf2-dev libgtk2.0-dev libgnomeui-dev libnotify-dev libgmime-2.0-2-dev libssl-dev libsasl2-dev evolution-dev
  • ./jb configure && ./jb build && sudo ./jb install
  • after installing, i removed the dependencies

not sure why, but i needed to restart for the ssl support to take effect

one remaining issue: no ssl support for gmail

Advertisements

Written by azimout

01/10/2008 at 13:04

Posted in Problems

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: